package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrPower;

/**
 * 临时电源Service接口
 * 
 * @author ssy
 * @date 2024-11-01
 */
public interface ITPssrPowerService 
{
    /**
     * 查询临时电源
     * 
     * @param id 临时电源ID
     * @return 临时电源
     */
    public TPssrPower selectTPssrPowerById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询临时电源列表
     * 
     * @param tPssrPower 临时电源
     * @return 临时电源集合
     */
    public List<TPssrPower> selectTPssrPowerList(TPssrPower tPssrPower);

    /**
     * 新增临时电源
     * 
     * @param tPssrPower 临时电源
     * @return 结果
     */
    public int insertTPssrPower(TPssrPower tPssrPower);

    /**
     * 修改临时电源
     * 
     * @param tPssrPower 临时电源
     * @return 结果
     */
    public int updateTPssrPower(TPssrPower tPssrPower);

    /**
     * 批量删除临时电源
     * 
     * @param ids 需要删除的临时电源ID
     * @return 结果
     */
    public int deleteTPssrPowerByIds(Long[] ids);

    /**
     * 删除临时电源信息
     * 
     * @param id 临时电源ID
     * @return 结果
     */
    public int deleteTPssrPowerById(Long id);
}
